org.apache.http.client.methods

## Class HttpTrace

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpTrace

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

    public class HttpTrace
    extends HttpRequestBase

HTTP TRACE method.

The HTTP TRACE method is defined in section 9.6 of RFC2616:

> The TRACE method is used to invoke a remote, application-layer loop- back of the request message. The final recipient of the request SHOULD reflect the message received back to the client as the entity-body of a 200 (OK) response. The final recipient is either the origin server or the first proxy or gateway to receive a Max-Forwards value of zero (0) in the request (see section 14.31). A TRACE request MUST NOT include an entity.

Since:
  4.0

### Field Summary

Fields
`static String` `METHOD_NAME`

### Fields inherited from class org.apache.http.message.AbstractHttpMessage

`headergroup, params`

### Constructor Summary

Constructors
Constructor and Description
`HttpTrace()`
`HttpTrace(String uri)`
`HttpTrace(URI uri)`

### Method Summary

Methods
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

`getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

`abort, clone, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

### Methods inherited from class org.apache.http.message.AbstractHttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

`abort, isAborted`

### Methods inherited from interface org.apache.http.HttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpTrace

    public HttpTrace()

#### HttpTrace

    public HttpTrace(URI uri)

#### HttpTrace

    public HttpTrace(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

### Method Detail

#### getMethod

    public String getMethod()

Description copied from interface: `HttpUriRequest`
Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Specified by:
  `getMethod` in interface `HttpUriRequest`
Specified by:
  `getMethod` in class `HttpRequestBase`